Page MenuHomePhabricator

Capture responses bodies in WebPageTest runs
Open, MediumPublic

Description

When trying to view response bodies, this is what WPT tells us:

Turn on the "Save Response Bodies" option in the advanced settings to capture text resources.

This would be useful to have when investigating performance regressions, particularly for the main response's HTML.

This probably means all response bodies, including images, which will have a significant impact on the storage requirements for the history. It would be nice to estimate the impact before turning that on.


Upstream: https://github.com/WPO-Foundation/webpagetest/issues/1296

Event Timeline

Gilles created this task.Sep 5 2019, 11:13 AM
Peter added a comment.Sep 6 2019, 7:34 AM

It's there for most Chrome runs, but not for all + going through some results I wonder if there's a bug too, because some entries that have a configured bodies, I get the same message as you @Gilles.

I'm gonna configure so we keep them all for WebPageTest + add it to the Browsertime/WebPageReplay runs too, so its easier to find.

Change 534758 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/synthetic-monitoring-tests@master] Keep HTML for Firefox runs.

https://gerrit.wikimedia.org/r/534758

Peter added a comment.Sep 6 2019, 9:12 AM

I'll create an upstream issue for WebPageTest. Checkout these 5 runs:
http://wpt.wmftest.org/result/190906_F6_B/

The first and the last run got the Turn on the "Save Response Bodies" option in the advanced settings to capture text resources. message, the other runs got the response body.

Change 534758 merged by jenkins-bot:
[performance/synthetic-monitoring-tests@master] Keep HTML for Firefox runs

https://gerrit.wikimedia.org/r/534758

Gilles moved this task from Inbox to Doing on the Performance-Team board.Sep 9 2019, 8:04 PM
Gilles moved this task from Doing to Radar on the Performance-Team board.
Gilles edited projects, added Performance-Team (Radar); removed Performance-Team.
Krinkle triaged this task as Medium priority.Oct 11 2019, 5:27 PM
Krinkle moved this task from Backlog to Reported Upstream on the Upstream board.
Krinkle updated the task description. (Show Details)
Krinkle removed a project: Patch-For-Review.